﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace DanceCompetition
{
    public partial class DeckCaptainPDA : System.Web.UI.Page
    {
        /// <summary>
        /// This method redirect the page and add the url argument string
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request.QueryString.Count == 0)
            {
                Response.Redirect("DeckCaptainPDA.aspx?queueNo=1");
            }
                


        }

        /// <summary>
        /// This methods manage the checking couple Id buttons
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void CoupleListView_ItemCommand(object sender, ListViewCommandEventArgs e)
        {
            switch (e.CommandName)
            {
                case "setMissing":
                    String coupleID = e.CommandArgument.ToString();
                    String eventNo = EventInfoGridView.Rows[0].Cells[0].Text;


                    // Create the recallTableAdapter
                    DanceCompetition.CompetitionTableAdapters.RecallTableAdapter recallTableAdapter =
                        new DanceCompetition.CompetitionTableAdapters.RecallTableAdapter();
                    // Update the Recall couple
                    recallTableAdapter.setMissingCouple(coupleID, eventNo);


                    CoupleListView.DataBind();
                    MissingCoupleListView.DataBind();
                    break;
            }
        }
        /// <summary>
        /// This methods manage the missing couple Id buttons
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void MissingCoupleListView_ItemCommand(object sender, ListViewCommandEventArgs e)
        {
            switch (e.CommandName)
            {
                case "resetMissing":
                    String coupleID = e.CommandArgument.ToString();
                    String eventNo = EventInfoGridView.Rows[0].Cells[0].Text;


                    // Create the recallTableAdapter
                    DanceCompetition.CompetitionTableAdapters.RecallTableAdapter recallTableAdapter =
                        new DanceCompetition.CompetitionTableAdapters.RecallTableAdapter();
                    // Update the Recall couple
                    recallTableAdapter.resetMissingCouple(coupleID, eventNo);

                    MissingCoupleListView.DataBind();
                    CoupleListView.DataBind();

                    break;
            }
        }
        /// <summary>
        /// this method handles Next button
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void BtnNext_Click(object sender, EventArgs e)
        {
            int queueNo = Convert.ToInt16(Request.QueryString[0]);
            queueNo = queueNo + 1;
            Response.Redirect("DeckCaptainPDA.aspx?QueueNo=" + queueNo.ToString());
        }
        /// <summary>
        /// this method handles the Prev button 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void BtnPrev_Click(object sender, EventArgs e)
        {
            int queueNo = Convert.ToInt16(Request.QueryString[0]);
            queueNo = queueNo - 1;
            Response.Redirect("DeckCaptainPDA.aspx?QueueNo=" + queueNo.ToString());
        }
    }
}
