﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace DanceCompetition
{
    /// <summary>
    ///  This class redirect the page and add the queue query as url string
    ///  Also, the Prev buton should be disable when the page in at the first position of the queue.
    /// </summary>
    public partial class MCPDA : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request.QueryString.Count == 0)
            {
                Response.Redirect("MCPDA.aspx?queueNo=1");
            }
            else 
            {
                if (String.Compare(Request.QueryString["QueueNo"].ToString(), "1") == 0)
                {
                    BtnPrev.Enabled = false;
                }

            }
        }


        /// <summary>
        /// This method handles the Next Click Button event and pass the new queue location in the url query
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void BtnNext_Click(object sender, EventArgs e)
        {
            int queueNo = Convert.ToInt16(Request.QueryString[0]);
            queueNo = queueNo + 1;
            Response.Redirect("MCPDA.aspx?QueueNo=" + queueNo.ToString());
        }

        /// <summary>
        /// This method handles the Prev Click button evnet and pass the new queue location in the url query
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void BtnPrev_Click(object sender, EventArgs e)
        {
            int queueNo = Convert.ToInt16(Request.QueryString[0]);
            queueNo = queueNo - 1;
            Response.Redirect("MCPDA.aspx?QueueNo=" + queueNo.ToString());
        }
    }
}
